%global realname ejson
%global upstream benoitc
%global git_tag 3b81c6a
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	0.1.0
Release:	0.2.git%{git_tag}%{?dist}
Summary:	JSON encoder and decoder
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
#Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{git_tag}/%{realname}-%{version}.tar.gz
Patch1:		erlang-ejson-0001-Use-yajl_get_bytes_consumed-function-instead-of-stru.patch
Patch2:		erlang-ejson-0002-Rename-yajl_parse_complete-to-yajl_complete_parse.patch
Patch3:		erlang-ejson-0003-Don-t-use-internal-API-for-decoder-setup.patch
Patch4:		erlang-ejson-0004-Suppress-warnings.patch
Patch5:		erlang-ejson-0005-Use-public-API.patch
Patch6:		erlang-ejson-0006-yajl_status_insufficient_data-code-was-removed.patch
Patch7:		erlang-ejson-0007-Enable-trailing-garbage.patch
Patch8:		erlang-ejson-0008-Fix-floating-poing-handling.patch
Patch9:		erlang-ejson-0009-Use-system-wide-yajl.patch
BuildRequires:	erlang-rebar
BuildRequires:	yajl-devel
%{?__erlang_provides_requires: %{__erlang_provides_requires}}


%description
JSON decoder and encoder.


%prep
%setup -q -n %{realname}-3b81c6a55ac6c0affcf063610c9b8eb0e4468a11
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
rm -rf c_src/yajl


%build
%{erlang_compile}


%install
%{erlang_install}


%check
make check_verbose

%files
%license LICENSE
%doc AUTHORS NOTICE README.md THANKS
%{erlang_appdir}/


%changelog
* Wed Apr  6 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-1
- initial build
* Mon Sep 24 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.1.0-1
- initial build
